document.addEventListener('DOMContentLoaded', () => {
  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Animation for phrase cards on scroll
  const observeElements = document.querySelectorAll('.phrase-card, .date-card');
  
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = '1';
        entry.target.style.transform = 'translateY(0)';
      }
    });
  }, { threshold: 0.1 });

  observeElements.forEach(element => {
    element.style.opacity = '0';
    element.style.transform = 'translateY(20px)';
    element.style.transition = 'opacity 0.6s ease, transform 0.6s ease';
    observer.observe(element);
  });

  // Culture button interaction
  const cultureBtn = document.querySelector('.culture-btn');
  cultureBtn.addEventListener('click', () => {
    cultureBtn.style.transform = 'scale(0.95)';
    setTimeout(() => {
      cultureBtn.style.transform = 'scale(1)';
    }, 200);
  });
});
